<div class="input-icons-selector" {{did-insert this.setup}} {{did-update this.setup @iconSets}}>
  {{#if this.isLoading}}
    <div class="spinner-border" role="status">
      <span class="visually-hidden">Loading...</span>
    </div>
  {{else}}
    <div class="row">
      {{#if (gt @iconSets.length 1)}}
        <div class="col">
          <div class="form-floating mb-3">
            <Label @after={{true}} @value={{t "icon set"}} as |id|>
              <Input::Select class="select-icon-set" id={{id}} @list={{@iconSets}} @value={{this.iconSet}}
                @onChange={{this.changeIconSet}} />
            </Label>
          </div>
        </div>
      {{/if}}

      {{#if this.category}}
        <div class="col">
          <div class="form-floating mb-3">
            <Label @after={{true}} @value={{t "category"}} as |id|>
              <Input::Select class="select-category" id={{id}} @list={{this.categories}} @value={{this.category}}
                @onChange={{this.changeCategory}} />
            </Label>
          </div>
        </div>
      {{/if}}

      {{#if this.subcategory}}
        <div class="col">
          <div class="form-floating mb-3">
            <Label @after={{true}} @value={{t "subcategory"}} as |id|>
              <Input::Select class="select-subcategory" id={{id}} @list={{this.subcategories}}
                @value={{this.subcategory}} @onChange={{this.changeSubcategory}} />
            </Label>
          </div>
        </div>
      {{/if}}
    </div>

    <div class="icon-list">
      {{#each this.selectedIcons as |icon|}}
        {{! template-lint-disable no-invalid-interactive }}
        <div class="icon-container" data-icon-id={{icon.id}} {{on "click" (fn this.addIcon icon)}}>
          <img src={{icon.image.value}} class="icon" title={{icon.localName}} alt={{icon.localName}} />
          <div class="icon-name" data-toggle="tooltip" data-placement="bottom" title={{icon.localName}}>
            {{icon.localName}}</div>
        </div>
      {{/each}}
    </div>
  {{/if}}
</div>